#!@PYTHON@


import os
import sys
import signal
import locale
import gettext

VERSION = '@VERSION@'
pkgdatadir = '@pkgdatadir@'
localedir = '@localedir@'

sys.path.insert(1, pkgdatadir)
signal.signal(signal.SIGINT, signal.SIG_DFL)
locale.bindtextdomain('text-viewer', localedir)
locale.textdomain('text-viewer')
gettext.install('text-viewer', localedir)

if __name__ == '__main__':
    import gi

    from gi.repository import Gio
    resource = Gio.Resource.load(os.path.join(pkgdatadir, 'text-viewer.gresource'))
    resource._register()

    from text_viewer import main
    sys.exit(main.main(VERSION))
